
package org.mule.modules.workday.config.spring;

import org.springframework.beans.factory.xml.NamespaceHandlerSupport;


/**
 * Registers bean definitions parsers for handling elements in <code>http://www.mulesoft.org/schema/mule/workday</code>.
 * 
 */
public class WorkdayModuleNamespaceHandler
    extends NamespaceHandlerSupport
{


    /**
     * Invoked by the {@link DefaultBeanDefinitionDocumentReader} after construction but before any custom elements are parsed. 
     * @see NamespaceHandlerSupport#registerBeanDefinitionParser(String, BeanDefinitionParser)
     * 
     */
    public void init() {
        registerBeanDefinitionParser("config", new WorkdayModuleConfigDefinitionParser());
        registerBeanDefinitionParser("get-applicants", new GetApplicantsDefinitionParser());
        registerBeanDefinitionParser("hire-employee", new HireEmployeeDefinitionParser());
        registerBeanDefinitionParser("put-applicant", new PutApplicantDefinitionParser());
        registerBeanDefinitionParser("get-mantain-employee-contracts", new GetMantainEmployeeContractsDefinitionParser());
    }

}
